### Function

# Ide BufferChangeMonitorForeachFunc

#### Declaration

    void
    (* IdeBufferChangeMonitorForeachFunc) (
      guint line,
      IdeBufferLineChange change,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`line` | `guint`
| No description available.
`change` | `IdeBufferLineChange`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.